﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Net;
using System.Net.Mail;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class IsDatabaseAlmostFull : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        String connectionString = @"Data Source=tcp:sql2k###.discountasp.net;Initial Catalog=SQL******_######_databasename;User ID=SQL******_#######_databasename_user;Password=*******;";

        #region Mail Settings
        // Settings used to authenticate and construct email message
        String smtpHostname = @"smtp.YourHostedDomainName.com";      // Hostname of your SMTP server
        int portNumber = 25;                                         // Set to 25 or 587 depending upon your email provider's instruction
        String fromAddress = @"postmaster@YourHostedDomainName.com"; // From address and account used to provide SMTP authentication
        String emailPassword = @"*******";                           // Password for email account used to provide SMTP authentication
        String toAddress = @"user@YourHostedDomainName.com";         // Address of email account that will receive the notification
        String dbName = @"SQL******_######_databasename";            // Name of your database used to construct subject and body of email message
        #endregion

        SqlConnection dbConnection = new SqlConnection();
        dbConnection.ConnectionString = connectionString;
        dbConnection.Open();

        SqlCommand command = new SqlCommand();
        command.CommandText = @"dbo.IsDatabaseAlmostFull";
        command.CommandType = CommandType.StoredProcedure;
        command.Connection = dbConnection;

        SqlParameter returnValue = command.Parameters.Add("RetVal", SqlDbType.Int);
        returnValue.Direction = ParameterDirection.ReturnValue;

        command.ExecuteNonQuery();

        int isFull = (int)returnValue.Value;

        dbConnection.Close();

        if (isFull == 1)
        {
            MailMessage confirmationMail = new MailMessage();
            confirmationMail.From = new MailAddress(fromAddress);
            confirmationMail.To.Add(toAddress);
            confirmationMail.Subject = @"Warning regarding " + dbName;
            confirmationMail.Body = @"Warning.  Database " + dbName + @" is nearing max capacity.";

            SmtpClient smtp = new SmtpClient(smtpHostname, portNumber);
            NetworkCredential credentials = new NetworkCredential(fromAddress, emailPassword);
            smtp.Credentials = credentials;
            smtp.Send(confirmationMail);
        }

    }
}
